Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202081 - [abrt] graphviz: Bezier(): dot killed by SIGSEGV
Summary: [abrt] graphviz: Bezier(): dot killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: graphviz
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7dde227eda96123f95459576fdc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-15 06:40 UTC by Egon Kastelijn
Modified: 2015-12-02 17:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:07:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.42 MB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: core_backtrace (80.55 KB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: dso_list (5.74 KB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: environ (2.56 KB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: maps (32.36 KB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: open_fds (1.68 KB, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2015-03-15 06:41 UTC, Egon Kastelijn
no flags Details

Description Egon Kastelijn 2015-03-15 06:40:35 UTC
Description of problem:
I tried to generate a large(r) PNG that has images on nodes.
If I have images statements on the nodes and edges between the nodes, then the GraphViz produces a coredump.

If I remove the image statements from the DOT file, then the rendering works fine.
If I remove the edges "--" from the DOT file, then the rendering works fine.
If I remove the fontname from the DOT file, then the rendering works fine.

I am unable relate the coredump to a specific graphviz element.

Version-Release number of selected component:
graphviz-2.38.0-18.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        dot -Tpng diagrams/service-aannemer_-_service_diagram.dot -o /home/egon/tmp/ff.png
crash_function: Bezier
executable:     /usr/bin/dot
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0
var_log_messages: [System Logs]:\n-- Logs begin at Tue 2014-12-23 15:23:03 CET, end at Sun 2015-03-15 07:06:09 CET. --

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 Bezier at utils.c:226
 #1 findHorizontal at compound.c:235

Potential duplicate: bug 1095419

Comment 1 Egon Kastelijn 2015-03-15 06:41:04 UTC
Created attachment 1001870 [details]
File: backtrace

Comment 2 Egon Kastelijn 2015-03-15 06:41:06 UTC
Created attachment 1001871 [details]
File: cgroup

Comment 3 Egon Kastelijn 2015-03-15 06:41:10 UTC
Created attachment 1001872 [details]
File: core_backtrace

Comment 4 Egon Kastelijn 2015-03-15 06:41:12 UTC
Created attachment 1001873 [details]
File: dso_list

Comment 5 Egon Kastelijn 2015-03-15 06:41:14 UTC
Created attachment 1001874 [details]
File: environ

Comment 6 Egon Kastelijn 2015-03-15 06:41:15 UTC
Created attachment 1001875 [details]
File: exploitable

Comment 7 Egon Kastelijn 2015-03-15 06:41:17 UTC
Created attachment 1001876 [details]
File: limits

Comment 8 Egon Kastelijn 2015-03-15 06:41:19 UTC
Created attachment 1001877 [details]
File: maps

Comment 9 Egon Kastelijn 2015-03-15 06:41:20 UTC
Created attachment 1001878 [details]
File: open_fds

Comment 10 Egon Kastelijn 2015-03-15 06:41:21 UTC
Created attachment 1001879 [details]
File: proc_pid_status

Comment 11 Fedora End Of Life 2015-11-04 13:10:43 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-12-02 10:07:14 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.